summaryrefslogtreecommitdiff
path: root/darkman/background.sh
diff options
context:
space:
mode:
authortslil <tslil@posteo.de>2026-04-06 10:14:53 +0100
committertslil <tslil@posteo.de>2026-04-06 10:14:59 +0100
commitdb007821ab1ba1ba4d8ce2d77c587b11ccb589ef (patch)
treeb8e9d467ce4580814c5314a7c1eb111f68ad60ce /darkman/background.sh
parentc459d03d7f32d2aa6cdb03e42bbd5d0aa27b7e9f (diff)
[darkman] link the wallpaper so that static state is available for wm startup
Diffstat (limited to 'darkman/background.sh')
-rwxr-xr-xdarkman/background.sh13
1 files changed, 7 insertions, 6 deletions
diff --git a/darkman/background.sh b/darkman/background.sh
index 69c9a44..7baa5ef 100755
--- a/darkman/background.sh
+++ b/darkman/background.sh
@@ -1,11 +1,12 @@
#!/bin/sh
case "$1" in
-dark) FN=/home/tslil/media/pictures/df.png ;;
-light) FN=/home/tslil/media/pictures/df_light.png ;;
-default) exit 1 ;;
+ dark) FN=/home/tslil/media/pictures/df_dark.png ;;
+ light) FN=/home/tslil/media/pictures/df_light.png ;;
+ default) exit 1 ;;
esac
-WAYLAND_DISPLAY=wayland-1 awww img $FN --resize crop --transition-type none
-# killall swaybg
-# WAYLAND_DISPLAY=wayland-1 swaybg -i $FN -m fill &
+DEST=/home/tslil/media/pictures/background.png
+ln -sf $FN $DEST
+
+WAYLAND_DISPLAY=wayland-1 awww img $DEST --resize crop --transition-type none